Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359318 - openstack-swift-container.service fail to start on newton master
Summary: openstack-swift-container.service fail to start on newton master
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-tripleo
Version: trunk
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: trunk
Assignee: Alan Pevec
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 20:00 UTC by wes hayutin
Modified: 2016-07-25 08:26 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-25 08:26:30 UTC


Attachments (Terms of Use)

Description wes hayutin 2016-07-22 20:00:40 UTC
Description of problem:

https://review.rdoproject.org/r/#/c/1575/2/openstack-swift.spec@a128

https://ci.centos.org/artifacts/rdo/jenkins-tripleo-quickstart-promote-master-delorean-minimal-387/undercloud/home/stack/failed_deployment_93dd504c-75bb-4ada-b28e-7c4c48f9eda8.log.gz

returned 6: Failed to start openstack-swift-container.service: Unit openstack-swift-container.service failed to load: No such file or directory.\nWrapped exception:\nExecution of '/usr/bin/systemctl start openstack-swift-container' returned 6: Failed to start openstack-swift-container.service: Unit openstack-swift-container.service failed to load: No such file or directory.\u001b[0m\n\u001b[1;31mError: /Stage[main]/Swift::Storage::Container/Swift::Storage::Generic[container]/Swift::Service[swift-container-server]/Service[swift-container-server]/ensure: change from stopped to running failed: Could not start Service[swift-container-server]: Execution of '/usr/bin/systemctl start openstack-swift-container' returned 6: Failed to start openstack-swift-container.service: Unit openstack-swift-container.service failed to load: No such file or directory.\u001b[0m\n\u001b[1;31mError: Could not start Service[swift-container-updater]: Execution of '/usr/bin/systemctl start openstack-swift-container-updater' returned 6: Failed to start openstack-swift-container-updater.service: Unit openstack-swift-container-updater.service failed to load: No such file or directory.\nWrapped exception:\nExecution of '/usr/bin/systemctl start openstack-swift-container-updater' returned 6: Failed to start openstack-swift-container-updater.service: Unit openstack-swift-container-updater.service failed to load: No such file or directory.\u001b[0m\n\u001b[1;31mError: /Stage[main]/Swift::Storage::Container/Swift::Service[swift-container-updater]/Service[swift-container-updater]/ensure: change from stopped to running failed: Could not start Service[swift-container-updater]: Execution of '/usr/bin/systemctl start openstack-swift-container-updater' returned 6: Failed to start openstack-swift-container-updater.service: Unit openstack-swift-container-updater.service failed to load: No such file or directory.\u001b[0m\n\u001b[1;31mWarning: /Stage[main]/Swift::Deps/Anchor[swift::service::end]: Skipping because of failed dependencies\u001b[0m\n\u001b[1;31mWarning: /Firewall[998 log all]: Skipping because of failed dependencies\u001b[0m\n\u001b[1;31mWarning: /Firewall[999 drop all]: Skipping because of failed dependencies\u001b[0m\n"

Comment 1 Alan Pevec 2016-07-22 21:52:55 UTC
In [1] openstack-swift.spec bug was fixed, each Swift component can be deployed on a separate machine.
But image package list [2] did not have openstack-swift-container explicitly 
Fix [3] was proposed fix in the image build but since that might take some time to merge, quick partial openstack-swift.spec revert was pushed[4]
We'll revert the workaround in the openstack-swift.spec once image build fix is merged.

[1] https://review.rdoproject.org/r/#/c/1575/2/openstack-swift.spec@a128
[2] https://github.com/redhat-openstack/ansible-role-tripleo-image-build/blob/9ff4f2ba8b636e050f205ef2341fbc7ca1400f7e/vars/default_package_list.yml#L70
[3] https://review.gerrithub.io/284984
[4] https://review.rdoproject.org/r/1721

Comment 2 Alan Pevec 2016-07-23 20:49:01 UTC
> We'll revert the workaround in the openstack-swift.spec once image build fix
> is merged.

tripleo-image-build fix [3] was merged, revert is http://review.rdoproject.org/r/1725

> [3] https://review.gerrithub.io/284984

Comment 3 Alan Pevec 2016-07-25 07:54:04 UTC
In RDO Trunk master builds since openstack-swift-2.9.1-0.20160723215245.574a666.el7


Note You need to log in before you can comment on or make changes to this bug.